SUBROUTINE USR_RATES(IJK, RATES)
      USE compar
      USE constant
      USE energy
      USE fldvar
      USE fun_avg
      USE functions
      USE funits
      USE geometry
      USE indices
      USE parallel
      USE param
      USE param1
      USE physprop
      USE run
      USE rxns
      USE sendrecv
      USE toleranc
      USE usr
      INCLUDE 'species.inc'
      INTEGER, INTENT(IN) :: IJK



      DOUBLE PRECISION, DIMENSION(NO_OF_RXNS), INTENT(OUT)&
	 :: RATES(:)

      DOUBLE PRECISION c_CO2
      DOUBLE PRECISION q_SolidB
      DOUBLE PRECISION qstar
      DOUBLE PRECISION k !Rate constant
      DOUBLE PRECISION T
      DOUBLE PRECISION R
      DOUBLE PRECISION q1
      DOUBLE PRECISION q2
      DOUBLE PRECISION K1
      DOUBLE PRECISION K2
      DOUBLE PRECISION MW_SolidB

      MW_SolidB = 377.3398

      k = 1e-2
      T = 303
      R = 8.314
      q1 = 1.94
      q2 = 1.06
      K1 = 0.01201
      K2 = 0.0001444
      !Calculate concentration of CO2 in the gas phase
      !c_CO2 = (RO_g(IJK)) * X_g(IJK,CO2)/Mw_g(2)

      !Use the concentration of formed Solid B to determine how much CO2 has already been adsorbed

      !q_SolidB = EP_s(IJK,SolidB) / MW_SolidB

      !Calculating qstar, the equilibrium loading

      !qstar = (q1*K1*R*T*c_CO2/(1+K1*R*T*c_CO2)) + &
      !(q2*K2*R*T*c_CO2/(1+K2*R*T*c_CO2))

      !Reaction Rate

      RATES(ADS) = -k



END SUBROUTINE USR_RATES
